Difference between revisions of "Arch Rebar/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
 
(48 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{docnav/fr
+
{{Docnav/fr
|[[Arch_Rebar_BeamReinforcement/fr|Renforcement de poutres]]
+
|[[Arch_Rebar_BeamReinforcement/fr|Poutre]]
|[[Arch_Floor/fr|Plancher]]
+
|[[Arch_Rebar_BOM/fr|Nomenclature armature]]
 
|[[Arch_Module/fr|Atelier Arch]]
 
|[[Arch_Module/fr|Atelier Arch]]
|IconL=Arch_Rebar_Helical.svg
+
|IconL=Arch_Rebar_BeamReinforcement.svg
 +
|IconR=Arch Rebar BOM.svg
 
|IconC=Workbench_Arch.svg
 
|IconC=Workbench_Arch.svg
|IconR=Arch_Floor.svg
 
 
}}
 
}}
  
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Arch_Rebar
 
|Name=Arch_Rebar
|Name/fr=Armature personnalisée
+
|Name/fr=Arch Armature personnalisée
|Workbenches=[[Arch_Module/fr|Arch]]
+
|MenuLocation=Arch → Outils pour armatures ou 3D/BIM → Reinforcement
|MenuLocation=Arch → Rebar
+
|Workbenches=[[Arch_Module/fr|Arch]], [[BIM_Workbench|BIM]]
|Shortcut=R B
+
|Shortcut={{KEY|R}} {{KEY|B}}
|SeeAlso=[[Arch_Structure/fr|Structure]]
+
|SeeAlso=[[Arch_Structure/fr|Arch Structure]], [[Reinforcement_Workbench/fr|Atelier Reinforcement]]
 
}}
 
}}
  
 
==Description==
 
==Description==
  
L'outil [[Arch Rebar/fr|Armature]] vous permet de placer des [http://fr.wikipedia.org/wiki/Armature_%28technique%29 barres d'armature] dans les objets [[Arch_Structure/fr|Structure]].
+
L'outil [[Arch_Rebar/fr|Armature]] vous permet de placer des [http://fr.wikipedia.org/wiki/Armature_%28technique%29 barres d'armature] dans les objets [[Arch_Structure/fr|Structure]].
 +
 
 +
L'outil [[Arch_Rebar/fr|Arch Rebar]] est également intégré dans l'[[BIM_Workbench/fr|atelier BIM]].
  
 
Les objets Armatures sont basés sur des profils 2D comme les [[Sketcher_Workbench/fr|esquisses]] ou [[Draft_Module/fr|les objets dessin]], qui doivent être dessinés sur une face d'un objet Structure. Vous pouvez ensuite ajuster la configuration de l'armature comme le nombre et le diamètre des barres ou la distance de décalage entre les deux extrémités de l'élément structurel.
 
Les objets Armatures sont basés sur des profils 2D comme les [[Sketcher_Workbench/fr|esquisses]] ou [[Draft_Module/fr|les objets dessin]], qui doivent être dessinés sur une face d'un objet Structure. Vous pouvez ensuite ajuster la configuration de l'armature comme le nombre et le diamètre des barres ou la distance de décalage entre les deux extrémités de l'élément structurel.
Line 29: Line 31:
 
== Extension disponible ==
 
== Extension disponible ==
  
L'outil Armature a été amélioré dans [[Reinforcement Addon/fr|Renforcement Addon]], et peut être installé avec [[Addon Manager/fr|Addon Manager]]. Les types de barres supplémentaires disponibles avec l'addon sont:
+
L'outil Armature a été amélioré dans l'[[Reinforcement_Workbench/fr|Atelier Barres de renfort]] et peut être installé avec [[Addon Manager/fr|Gestionnaire d'Addon]]. Les types de barres supplémentaires disponibles avec l'addon sont:
* [[Image:Arch_Rebar_Straight.svg|32px]] [[Arch_Rebar_Straight/fr|Straight Rebar]]
+
* [[Image:Arch_Rebar_Straight.svg|32px]] [[Arch_Rebar_Straight/fr|Armature droite]]
* [[Image:Arch_Rebar_UShape.svg|32px]] [[Arch_Rebar_UShape/fr|UShape Rebar]]
+
* [[Image:Arch_Rebar_UShape.svg|32px]] [[Arch_Rebar_UShape/fr|Armature en U]]
* [[Image:Arch_Rebar_LShape.svg|32px]] [[Arch_Rebar_LShape/fr|LShape Rebar]]
+
* [[Image:Arch_Rebar_LShape.svg|32px]] [[Arch_Rebar_LShape/fr|Armature en L]]
* [[Image:Arch_Rebar_BentShape.svg|32px]] [[Arch_Rebar_BentShape/fr|Bent Shape Rebar]]
+
* [[Image:Arch_Rebar_BentShape.svg|32px]] [[Arch_Rebar_BentShape/fr|Armature cintrée]]
* [[Image:Arch_Rebar_Stirrup.svg|32px]] [[Arch_Rebar_Stirrup/fr|Stirrup Rebar]]
+
* [[Image:Arch_Rebar_Stirrup.svg|32px]] [[Arch_Rebar_Stirrup/fr|Armature en étrier]]
* [[Image:Arch_Rebar_Helical.svg|32px]] [[Arch_Rebar_Helical/fr|Helical Rebar]]
+
* [[Image:Arch_Rebar_Helical.svg|32px]] [[Arch_Rebar_Helical/fr|Armature hélicoïdale]]
  
==Comment l'utiliser==
+
==Utilisation==
  
 +
# Basculez vers l'[[Image:Workbench_Arch.svg|16px]] [[Arch Workbench/fr|atelier Arch]]
 
# Créez un  objet {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/fr|Arch Structure]]}}
 
# Créez un  objet {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/fr|Arch Structure]]}}
# Déplacez vous dans l'atelier [[Sketcher_Workbench/fr|Esquisse]]
+
# Basculez vers l'[[Image:Workbench_Sketcher.svg|16px]] [[Sketcher_Workbench/fr|atelier Sketcher]]
 
# Sélectionnez une face de l'objet Structure
 
# Sélectionnez une face de l'objet Structure
# Appuyez sur le bouton {{Button|[[Image:Sketcher NewSketch.svg|16px]] [[Sketcher_NewSketch/fr|Nouvelle Esquisse]]}} pour démarrer l'édition d'une nouvelle esquisse sur la face choisie
+
# Appuyez sur le bouton {{Button|[[Image:Sketcher NewSketch.svg|16px]] [[Sketcher_NewSketch/fr|Sketcher Créer une nouvelle esquisse]]}} pour démarrer l'édition d'une nouvelle esquisse sur la face choisie
 
# Dessinez la forme de l'Armature
 
# Dessinez la forme de l'Armature
# Cliquez sur le bouton {{Button|[[Image:Sketcher LeaveSketch.svg|16px]] [[Sketcher_LeaveSketch/fr|Quitter l'Esquisse]]}} pour finir
+
# Cliquez sur le bouton {{Button|[[Image:Sketcher LeaveSketch.svg|16px]] [[Sketcher_LeaveSketch/fr|Sketcher Sortir de l'edition de l'esquisse]]}} pour finir
# Revenez dans l'atelier [[Arch_Module/fr|Arch]]
+
# Basculez de nouveau vers l'[[Image:Workbench_Arch.svg|16px]] [[Arch Workbench/fr|atelier Arch]]
 
# Sélectionnez l'esquisse que vous venez de dessiner
 
# Sélectionnez l'esquisse que vous venez de dessiner
# Appuyez sur le bouton {{Button|[[Image:Arch Rebar.svg|16px]] [[Arch_Rebar/fr|Armature]]}}, ou pressez les touches {{KEY|R}} puis {{KEY|B}}
+
# Appuyez sur le bouton {{Button|[[Image:Arch Rebar.svg|16px]] [[Arch_Rebar/fr|Arch Armature]]}}, ou pressez les touches {{KEY|R}} puis {{KEY|B}}
 
# Ajustez les propriétés désirées (votre armature peut ne pas apparaître immédiatement, si certaines propriétés créent des situations impossibles comme un diamètre égal à 0 mm ou un décalage plus grand que la longueur de l'objet Structure).
 
# Ajustez les propriétés désirées (votre armature peut ne pas apparaître immédiatement, si certaines propriétés créent des situations impossibles comme un diamètre égal à 0 mm ou un décalage plus grand que la longueur de l'objet Structure).
  
Line 54: Line 57:
 
==Options==
 
==Options==
  
* Armature partage les propriétés communes et les comportements de tous les [[Arch Component/fr|Composants Arch]].
+
* Armature partage les propriétés communes et les comportements de tous les [[Arch Component/fr|Arch Composants]].
 
* La valeur d'arrondi est exprimée en multiples du diamètre. Si la barre a un diamètre de 5 mm, la valeur d'arrondi de 3 va créer des angles arrondis d'un rayon de 15 mm.
 
* La valeur d'arrondi est exprimée en multiples du diamètre. Si la barre a un diamètre de 5 mm, la valeur d'arrondi de 3 va créer des angles arrondis d'un rayon de 15 mm.
 
* La valeur par défaut des nouvelles Armatures peut être définie dans les préférences de l'atelier Arch.
 
* La valeur par défaut des nouvelles Armatures peut être définie dans les préférences de l'atelier Arch.
Line 62: Line 65:
 
==Propriétés==
 
==Propriétés==
  
* {{PropertyData/fr|Quantité}}: La quantité de barres.
+
* {{PropertyData/fr|Amount}}: La quantité de barres.
* {{PropertyData/fr|Diamètre}}: Le diamètre des barres.
+
* {{PropertyData/fr|Diameter}}: Le diamètre des barres.
 
* {{PropertyData/fr|Direction}}: La direction (et longueur) selon laquelle la barre est répartie. Si la valeur est (0,0,0), la direction est calculée automatiquement en fonction de l'objet Structure hôte.
 
* {{PropertyData/fr|Direction}}: La direction (et longueur) selon laquelle la barre est répartie. Si la valeur est (0,0,0), la direction est calculée automatiquement en fonction de l'objet Structure hôte.
* {{PropertyData/fr|Décalage de départ}}: La distance du décalage entre le bord de l'objet Structure et la première barre.
+
* {{PropertyData/fr|Offset Start}}: La distance du décalage entre le bord de l'objet Structure et la première barre.
* {{PropertyData/fr|Décalage de fin}}: La distance du décalage entre le bord de l'objet Structure et la dernière barre.
+
* {{PropertyData/fr|Offset End}}: La distance du décalage entre le bord de l'objet Structure et la dernière barre.
* {{PropertyData/fr|Arrondi de pliage}}: Une valeur d'arrondi qui s'applique aux angles des barres, est un multiple du diamètre.
+
* {{PropertyData/fr|Rounding}}: Une valeur d'arrondi qui s'applique aux angles des barres, multiple du diamètre.
* {{PropertyData/fr|Espacement}}: L'espacement des axes de chaque barre.
+
* {{PropertyData/fr|Spacing}}: L'espacement des axes de chaque barre.
  
 
==Script==
 
==Script==
{{Emphasis|See also:}} [[Arch API/fr|Arch API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Scripts de base]].
+
{{Emphasis|Voir aussi:}} [[Arch API/fr|Arch API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Scripts de base]].
  
 
L'outil Armature peut être utilisé dans les [[macros/fr|macros]] et depuis la console [[Python/fr|Python]] en utilisant les fonctions suivantes :
 
L'outil Armature peut être utilisé dans les [[macros/fr|macros]] et depuis la console [[Python/fr|Python]] en utilisant les fonctions suivantes :
Line 78: Line 81:
 
}}
 
}}
  
* Crée un objet {{incode|Rebar}} à partir d'{{incode|objet de base}} donné, qui est une [[Arch Structure/fr|Arch Structure]], et une {{incode|esquisse}} comme profil.
+
* Crée un objet {{incode|Rebar}} à partir d'{{incode|objet de base}} donné, qui est une [[Arch Structure/fr|Arch Structure]], et une {{incode|sketch}} comme profil.
 
** {{incode|diameter}}, {{incode|amount}} et {{incode|offset}} sont utilisés pour définir les caractéristiques des barres.
 
** {{incode|diameter}}, {{incode|amount}} et {{incode|offset}} sont utilisés pour définir les caractéristiques des barres.
** Si aucune valeur {{incode|diameter}}, {{incode|amount}} ou {{incode|offset}} n'est donnée, les valeurs par défaut des [[Arch Preferences/fr|Préférences Arch]] sont utilisées.
+
** Si aucune valeur {{incode|diameter}}, {{incode|amount}} ou {{incode|offset}} n'est donnée, les valeurs par défaut des [[Arch Preferences/fr|Arch Préférences]] sont utilisées.
 +
 
 +
Exemple:
  
Exemple :
 
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Arch, Part
 
import FreeCAD, Arch, Part
Line 103: Line 107:
 
FreeCAD.ActiveDocument.recompute()
 
FreeCAD.ActiveDocument.recompute()
 
}}
 
}}
{{docnav/fr|[[Arch_Rebar_BeamReinforcement/fr|Renforcement de poutrelle ]]|[[Arch_Floor/fr|Sol]]|[[Arch_Module/fr|Arch]]|IconL=Arch_Rebar_Helical.svg |IconC=Workbench_Arch.svg |IconR=Arch_Floor.svg}}
 
  
{{Arch Tools navi/fr}}
+
{{Docnav/fr
 +
|[[Arch_Rebar_BeamReinforcement/fr|Poutre]]
 +
|[[Arch_Rebar_BOM/fr|Nomenclature armature]]
 +
|[[Arch_Module/fr|Atelier Arch]]
 +
|IconL=Arch_Rebar_BeamReinforcement.svg
 +
|IconR=Arch Rebar BOM.svg
 +
|IconC=Workbench_Arch.svg
 +
}}
  
{{Userdocnavi/fr}}
+
{{Arch Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 +
[[Category:External Command Reference{{#translation:}}]]
 +
[[Category:Reinforcement{{#translation:}}]]

Latest revision as of 20:01, 4 December 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎日本語
Arrow-left.svg Page précédente : Arch Rebar BeamReinforcement.svg Poutre
Page suivante : Nomenclature armature Arch Rebar BOM.svg Arrow-right.svg

Arch Rebar.svg Arch Armature personnalisée

Emplacement du menu
Arch → Outils pour armatures ou 3D/BIM → Reinforcement
Ateliers
Arch, BIM
Raccourci par défaut
R B
Introduit dans la version
-
Voir aussi
Arch Structure, Atelier Reinforcement


Description

L'outil Armature vous permet de placer des barres d'armature dans les objets Structure.

L'outil Arch Rebar est également intégré dans l'atelier BIM.

Les objets Armatures sont basés sur des profils 2D comme les esquisses ou les objets dessin, qui doivent être dessinés sur une face d'un objet Structure. Vous pouvez ensuite ajuster la configuration de l'armature comme le nombre et le diamètre des barres ou la distance de décalage entre les deux extrémités de l'élément structurel.

Arch Rebar example.jpg

L'image ci dessus montre un objet structurel, sur lequel deux esquisses sont dessinées, qui définissent le chemin des barre de fer. Ces deux esquisses sont ensuite transformées en objet Armature.


Extension disponible

L'outil Armature a été amélioré dans l'Atelier Barres de renfort et peut être installé avec Gestionnaire d'Addon. Les types de barres supplémentaires disponibles avec l'addon sont:

Utilisation

  1. Basculez vers l'Workbench Arch.svg atelier Arch
  2. Créez un objet Arch Structure.svg Arch Structure
  3. Basculez vers l'Workbench Sketcher.svg atelier Sketcher
  4. Sélectionnez une face de l'objet Structure
  5. Appuyez sur le bouton Sketcher NewSketch.svg Sketcher Créer une nouvelle esquisse pour démarrer l'édition d'une nouvelle esquisse sur la face choisie
  6. Dessinez la forme de l'Armature
  7. Cliquez sur le bouton Sketcher LeaveSketch.svg Sketcher Sortir de l'edition de l'esquisse pour finir
  8. Basculez de nouveau vers l'Workbench Arch.svg atelier Arch
  9. Sélectionnez l'esquisse que vous venez de dessiner
  10. Appuyez sur le bouton Arch Rebar.svg Arch Armature, ou pressez les touches R puis B
  11. Ajustez les propriétés désirées (votre armature peut ne pas apparaître immédiatement, si certaines propriétés créent des situations impossibles comme un diamètre égal à 0 mm ou un décalage plus grand que la longueur de l'objet Structure).

Bien que normalement une barre d’accès soit utilisée dans une structure en arc, depuis FreeCAD 0.19, elle peut être créée en dehors de tout objet hôte. Pour héberger une barre dans un objet, il vous suffit de définir son Donnéeshôte.

Options

  • Armature partage les propriétés communes et les comportements de tous les Arch Composants.
  • La valeur d'arrondi est exprimée en multiples du diamètre. Si la barre a un diamètre de 5 mm, la valeur d'arrondi de 3 va créer des angles arrondis d'un rayon de 15 mm.
  • La valeur par défaut des nouvelles Armatures peut être définie dans les préférences de l'atelier Arch.
  • Si un vecteur de direction n'est pas spécifié, la direction et la distance le long de laquelle les barres seront répandues sont définies automatiquement sur l'objet hôte structurel, en prenant la direction normale de l'esquisse de base et en son intersection avec l'objet structurel. Si vous spécifiez un vecteur de direction, la longueur de ce vecteur va également être prise en compte.
  • La valeur d'espacement est calculée d'après le nombre actuel des barres et représente la distance entre les axes de chaque barre. Vous devez donc soustraire le diamètre de la barre pour obtenir la taille de l'espace libre entre les barres.

Propriétés

  • DonnéesAmount: La quantité de barres.
  • DonnéesDiameter: Le diamètre des barres.
  • DonnéesDirection: La direction (et longueur) selon laquelle la barre est répartie. Si la valeur est (0,0,0), la direction est calculée automatiquement en fonction de l'objet Structure hôte.
  • DonnéesOffset Start: La distance du décalage entre le bord de l'objet Structure et la première barre.
  • DonnéesOffset End: La distance du décalage entre le bord de l'objet Structure et la dernière barre.
  • DonnéesRounding: Une valeur d'arrondi qui s'applique aux angles des barres, multiple du diamètre.
  • DonnéesSpacing: L'espacement des axes de chaque barre.

Script

Voir aussi: Arch API et FreeCAD Scripts de base.

L'outil Armature peut être utilisé dans les macros et depuis la console Python en utilisant les fonctions suivantes :

Rebar = makeRebar(baseobj=None, sketch=None, diameter=None, amount=1, offset=None, name="Rebar")
  • Crée un objet Rebar à partir d'objet de base donné, qui est une Arch Structure, et une sketch comme profil.
    • diameter, amount et offset sont utilisés pour définir les caractéristiques des barres.
    • Si aucune valeur diameter, amount ou offset n'est donnée, les valeurs par défaut des Arch Préférences sont utilisées.

Exemple:

import FreeCAD, Arch, Part

Structure = Arch.makeStructure(None, length=1000, width=1000, height=3000)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(-400, 400, 0)
p2 = FreeCAD.Vector(400, 400, 0)
Sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject', 'Sketch')
Sketch.MapMode = "FlatFace"
Sketch.Support = [(Structure, "Face6")]
Sketch.addGeometry(Part.LineSegment(p1, p2))
FreeCAD.ActiveDocument.recompute()

Rebar = Arch.makeRebar(Structure, Sketch, diameter=80, amount=7, offset=50)
Rebar.OffsetStart = 100
Rebar.OffsetEnd = 100
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente : Arch Rebar BeamReinforcement.svg Poutre
Page suivante : Nomenclature armature Arch Rebar BOM.svg Arrow-right.svg